Unable to install mantisbt getting "INTERNAL APPLICATION ERROR"

General discussion of Mantis.

Moderators: Developer, Contributor

Post Reply
jr37079
Posts: 7
Joined: 10 Nov 2022, 05:27

Unable to install mantisbt getting "INTERNAL APPLICATION ERROR"

Post by jr37079 »

dear team


once click the Install/Upgrade Database button in following url
https://lcoalhost/mantisbt-2.25.4
https://lcoalhost/mantisbt-2.25.4/admin/install.php
i am getting following error..

"INTERNAL APPLICATION ERROR"

Please use the "Back" button in your web browser to return to the previous page. There you can correct whatever problems were identified in this error or select another action. You can also click an option from the menu bar to go directly to a new section."


mantisbt version-2.25.4
PHP version (your version is 8.1.10)
jr37079
Posts: 7
Joined: 10 Nov 2022, 05:27

Re: Unable to install mantisbt getting "INTERNAL APPLICATION ERROR"

Post by jr37079 »

installed latest version
jr37079
Posts: 7
Joined: 10 Nov 2022, 05:27

Re: Unable to install mantisbt getting "INTERNAL APPLICATION ERROR"

Post by jr37079 »

Can you please help for this error
cde3frv4
Posts: 1
Joined: 23 Nov 2022, 14:06

Re: Unable to install mantisbt getting "INTERNAL APPLICATION ERROR"

Post by cde3frv4 »

Use PHP7.x.x. PHP 8.x.x doesn't work well. I don't know why..
jr37079
Posts: 7
Joined: 10 Nov 2022, 05:27

Re: Unable to install mantisbt getting "INTERNAL APPLICATION ERROR"

Post by jr37079 »

i have upgraded the php version now working fine thanks for your timely help
Cedric
Posts: 3
Joined: 24 Feb 2023, 08:40

Re: Unable to install mantisbt getting "INTERNAL APPLICATION ERROR"

Post by Cedric »

Hello,

I install MantisBT on a new windows 10 PC (all is newer, fresh install).
I allready use this software in the past by my last job and I want to use it now for me.

I install XAMPP yesterday with last released 8.2.0 (control panel 3.3.0)
I download mantisBT 2.25.6.
I do step like tutorial, OK
Apache and SQL are running (green in XAMPP control panel)
I have problem of step of mantis BT (http://localhost/mantisBT/admin/install.php)

When I want to run the "install/upgrade database" button, I have the message "internal application error" without anything else, I don't know what to do.

Like reply on this post, I try to upgrade PHP. I do it to version 8.2.0 to 8.2.3 (the last one)
I have the same problem.
I have do some search in log file, but I find nothing

What can I do to search the problem ?
regards
Cédric
atrol
Site Admin
Posts: 8398
Joined: 26 Mar 2008, 21:37
Location: Germany

Re: Unable to install mantisbt getting "INTERNAL APPLICATION ERROR"

Post by atrol »

PHP 8.2 is currently not supported https://www.mantisbt.org/bugs/view.php?id=32027
Please use Search before posting and read the Manual
Cedric
Posts: 3
Joined: 24 Feb 2023, 08:40

Re: Unable to install mantisbt getting "INTERNAL APPLICATION ERROR"

Post by Cedric »

Hello
Thanks to quick answer.
As described in child post, I downgrade to php 8.1.16
I restart apache, check php version (php page and check of mantis page). OK
I run mantis install, all "checking" are good (in green)
but I have the same error message when I press button to install.
Is there a recommended version of PHP to be compatible with mantis 2.25.6?
I followed the recommendations of the post (up to 8.1) and other combinations without results, but it's a mistake because I don't know what to do.
atrol
Site Admin
Posts: 8398
Joined: 26 Mar 2008, 21:37
Location: Germany

Re: Unable to install mantisbt getting "INTERNAL APPLICATION ERROR"

Post by atrol »

Looks like there are also issues with PHP 8.1 at least when trying a fresh installation.
The issue is caused by underlying 3rd party ADODB 5.20.21 https://adodb.org/dokuwiki/doku.php?id= ... ity_status
So you have to use PHP 8.0 at the moment.
Please use Search before posting and read the Manual
Cedric
Posts: 3
Joined: 24 Feb 2023, 08:40

Re: Unable to install mantisbt getting "INTERNAL APPLICATION ERROR"

Post by Cedric »

Hello,
I downgrade to php-8.0.28-Win32-vs16-x64 and it works.
Thanks a lot.
Post Reply